package cd.casic.pipeline.dispatch.constants;

/**
 * @author by mianbin
 * @Classname Constants
 * @Description TODO
 * @Date 2025/4/8 16:46
 */
public class Constants {

    public static final String QUEUE_BUILD = "queue_build";
    public static final String QUEUE_BUILD_NEED_END = "queue_build_need_end";
    public static final String EXCHANGE_BUILD = "exchange_build";
    public static final String ROUTE_BUILD = "build";
    public static final String ROUTE_BUILD_NEED_END = "build_need_end";
    public static final String EXCHANGE_BUILD_ABORT = "exchange_build_abort";
    public static final String ROUTE_BUILD_ABORT = "route_build_abort";
    public static final String QUEUE_BUILD_ABORT = "queue_build_abort";
    public static final String QUEUE_TASK_BEGIN = "queue_dispatch_vm_task_begin";
    public static final String QUEUE_TASK_END = "queue_dispatch_vm_task_end";
    public static final String QUEUE_TASK_NEDD_END = "queue_dispatch_vm_task_need_end";
    public static final String EXCHANGE_TASK = "exchange_vm_task";
    public static final String ROUTE_TASK_BEGIN = "dispatch_vm_task_begin";
    public static final String ROUTE_TASK_END = "dispatch_vm_task_end";
    public static final String ROUTE_TASK_NEDD_END = "dispatch_vm_task_need_end";
    public static final String ENV_PUBLIC_HOST_MAX_ATOM_FILE_CACHE_SIZE = "PUBLIC_HOST_MAX_ATOM_FILE_CACHE_SIZE";
    public static final String ENV_THIRD_HOST_MAX_ATOM_FILE_CACHE_SIZE = "THIRD_HOST_MAX_ATOM_FILE_CACHE_SIZE";
    // |Docker构建|最大并行构建量(maximum parallelism)/当前正在运行构建数量(Running):
    public static final String OPS_DOCKER_BUILD_VOLUME = "OpsDockerBuildVolume";
    // |最大并行构建量(maximum parallelism)/当前正在运行构建数量(Running):
    public static final String OPS_MAXIMUM_PARALLELISM = "OpsMaximumParallelism";
    public static final String OPS_UNLIMITED = "OpsUnlimited"; // 无限制(unlimited), 注意负载(Attention)
    public static final String OPS_HEARTBEAT_TIME = "opsHeartbeatTime"; // 构建机最近心跳时间（heartbeat Time)
    public static final String OPS_DOCKER_WAS_RECENTLY_BUILT = "opsDockerWasRecentlyBuilt"; // |Docker构建|最近{0}次运行中的构建:
    public static final String OPS_WAS_RECENTLY_BUILT = "opsWasRecentlyBuilt"; // |最近{0}次运行中的构建:
    public static final String OPS_TASK_FETCHING_TIMEOUT = "opsTaskFetchingTimeout"; // 任务领取超过{0} 分钟没有启动, 可能存在异常，开始重置
    public static final String OPS_SCHEDULING_SELECTED_AGENT = "opsSchedulingSelectedAgent"; // 调度构建机(Scheduling selected Agent): {0}/{1}
    public static final String OPS_SEARCHING_AGENT = "opsSearchingAgent"; // 开始查找最近使用过并且当前没有任何任务的空闲构建机...
    public static final String OPS_MAX_BUILD_SEARCHING_AGENT = "opsMaxBuildSearchingAgent"; // 查找最近使用过并且未达到最大构建数的构建机...
    public static final String OPS_SEARCHING_AGENT_MOST_IDLE = "opsSearchingAgentMostIdle"; // 开始查找没有任何任务的空闲构建机...
    public static final String OPS_SEARCHING_AGENT_PARALLEL_AVAILABLE = "opsSearchingAgentParallelAvailable"; // 开始查找当前构建任务还没到达最大并行数构建机...
    public static final String OPS_NO_AGENT_AVAILABLE = "opsNoAgentAvailable"; // 没有可用Agent，等待Agent释放...
    public static final String OPS_ENV_BUSY = "opsEnvBusy"; // 构建环境并发保护，稍后重试...
    public static final String OPS_QUEUE_TIMEOUT_MINUTES = "opsQueueTimeoutMinutes"; //  构建环境无可分配构建机，等待超时（queue-timeout-minutes={0}）
    public static final String OPS_AGENT_IS_BUSY = "opsAgentIsBusy"; // 构建机繁忙，继续重试(Agent is busy)
    public static final String OPS_BUILD_AGENT_DETAIL_LINK_ERROR = "opsBuildAgentDetailLinkError"; // 构建机Agent详情链接
    public static final String OPS_ENV_WORKER_ERROR_IGNORE = "opsEnvWorkerErrorIgnore"; // 构建机环境中{0}节点启动构建进程失败，自动切换其他节点重试
    public static final String AGENT_REUSE_MUTEX_REDISPATCH = "agentReuseMuteXRedispatch"; // 构建机复用互斥，节点 {0} 已被 {1} 构建使用，重新调度
    // 构建机复用互斥，等待被依赖的节点 {0} 调度到具体节点后再进行复用调度
    public static final String AGENT_REUSE_MUTEX_WAIT_REUSED_ENV = "agentReuseMuteXWaitReusedEnv";
    public static final String OPS_ENV_NODE_DISABLE = "opsEnvNodeDisable";
    public static final String OPS_THIRD_JOB_ENV_CURR = "opsThirdJobEnvCurr"; // 当前环境下所有构建机并发{0}已经超过配置的{1},排队{2}分钟
    public static final String OPS_THIRD_JOB_NODE_CURR = "opsThirdJobNodeCurr"; // 当前环境下所有节点运行任务都超过了配置的{0},排队{1}分钟
    // 构建机复用互斥，节点 {0} 已被 {1} 构建使用，剩余可调度空间不足，重新调度
    public static final String AGENT_REUSE_MUTEX_RESERVE_REDISPATCH = "agentReuseMutexReserveRedispatch";
    // 构建环境调度结束，已选取节点 {0}
    public static final String OPS_ENV_DISPATCH_AGENT = "opsEnvDispatchAgent";
    // 尝试下发任务至节点 {0}
    public static final String TRY_AGENT_DISPATCH = "tryAgentDispatch";
}
